#ifndef RV32_ESPLINK_H
#define RV32_ESPLINK_H

#include "compiler.h"
#include "../esp32/max80/esplink.h"

extern void esp_init(void);
extern void esp_ota(const void *, size_t);
extern size_t esp_rb_read(enum esplink_ringbuf_user ring,
			  void *data, size_t len);
extern size_t esp_rb_write(enum esplink_ringbuf_user ring,
			   const void *data, size_t len);
extern int esp_rb_getc(enum esplink_ringbuf_user ring);
extern int esp_rb_putc(enum esplink_ringbuf_user ring, uint8_t data);

#endif /* RV32_ESPLINK_H */
